@echo off

echo Installing AlcorLink Smart Card Reader Driver...

echo =============================================
echo installing AlcorLink Smart Card Reader Driver
echo =============================================


SET RegVar_Path="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion"
SET RegVar_Name=CurrentBuild

FOR /F "skip=2 tokens=2,3" %%a IN ('Reg Query %RegVar_Path% /v %RegVar_Name%') DO (
  SET ORG_VAR=%%a
  SET VAR1=%%b
)
REM 14393 was Win10 RS1(v1607)
REM 15063 was Win10 RS2(v1703)
REM 16299 was Win10 RS3(v1709)
REM 17134 was Win10 RS4(v1803)
REM 17763 was Win10 RS5(v1809)
IF defined ORG_VAR (
    IF %VAR1% GEQ 16299 (
      GOTO Ver_Win10RS3
    ) else (
      GOTO Ver_Win10RS2 )
)
GOTO END

REM ****(Legacy Driver)****
:Ver_Win10RS2
	Echo Only support Windows 1709 and later.
GOTO END

REM ****(DCHU Driver)****
:Ver_Win10RS3
IF EXIST %WINDIR%\SysWOW64 (
	pnputil -i -a .\DCH\x64\AKCCID.inf
)
ELSE (
	pnputil -i -a .\DCH\x32\AKCCID.inf
) 
GOTO END

:END
cd %currentpath%
Echo AlcorLink Smart Card Reader Driver installation complete!